# Uses of Class
org.bukkit.inventory.CookingRecipe

Packages that use CookingRecipe
Package
Description
org.bukkit.block
Classes used to manipulate the voxels in a `world`, including special states.
org.bukkit.event.block
`Events` relating to when a `block` is changed or interacts with the `world`.
org.bukkit.event.inventory
`Events` relating to `inventory` manipulation.
org.bukkit.inventory
Classes involved in manipulating player inventories and item interactions.

## Uses of CookingRecipe in org.bukkit.block

Methods in org.bukkit.block that return types with arguments of type CookingRecipe
Modifier and Type
Method
Description
`@NotNull Map<CookingRecipe<?>,Integer>`
Furnace.`getRecipesUsed()`
Get the recipes used in this furnace.
Methods in org.bukkit.block with parameters of type CookingRecipe
Modifier and Type
Method
Description
`void`
Furnace.`setRecipeUsedCount(CookingRecipe<?> furnaceRecipe, int count)`
Sets the number of times a recipe has been used.
Method parameters in org.bukkit.block with type arguments of type CookingRecipe
Modifier and Type
Method
Description
`void`
Furnace.`setRecipesUsed(@NotNull Map<CookingRecipe<?>,Integer> recipesUsed)`
Sets all recipes used by this furnace.

## Uses of CookingRecipe in org.bukkit.event.block

Methods in org.bukkit.event.block that return CookingRecipe
Modifier and Type
Method
Description
`CookingRecipe<?>`
BlockCookEvent.`getRecipe()`
Gets the cooking recipe associated with this event.
Constructors in org.bukkit.event.block with parameters of type CookingRecipe
Modifier
Constructor
Description
``
`BlockCookEvent(@NotNull Block block, @NotNull ItemStack source, @NotNull ItemStack result, CookingRecipe<?> recipe)`

## Uses of CookingRecipe in org.bukkit.event.inventory

Methods in org.bukkit.event.inventory that return CookingRecipe
Modifier and Type
Method
Description
`@NotNull CookingRecipe<?>`
FurnaceStartSmeltEvent.`getRecipe()`
Gets the FurnaceRecipe associated with this event
Constructors in org.bukkit.event.inventory with parameters of type CookingRecipe
Modifier
Constructor
Description
``
`FurnaceSmeltEvent(@NotNull Block furnace, @NotNull ItemStack source, @NotNull ItemStack result, CookingRecipe<?> recipe)`
``
`FurnaceStartSmeltEvent(@NotNull Block furnace, @NotNull ItemStack source, @NotNull CookingRecipe<?> recipe)`
Deprecated.
``
`FurnaceStartSmeltEvent(@NotNull Block furnace, @NotNull ItemStack source, @NotNull CookingRecipe<?> recipe, int cookingTime)`

## Uses of CookingRecipe in org.bukkit.inventory

Classes in org.bukkit.inventory with type parameters of type CookingRecipe
Modifier and Type
Class
Description
`class`
`CookingRecipe<T extends CookingRecipe>`
Represents a cooking recipe.
Subclasses of CookingRecipe in org.bukkit.inventory
Modifier and Type
Class
Description
`class`
`BlastingRecipe`
Represents a campfire recipe.
`class`
`CampfireRecipe`
Represents a campfire recipe.
`class`
`FurnaceRecipe`
Represents a furnace recipe.
`class`
`SmokingRecipe`
Represents a campfire recipe.
Methods in org.bukkit.inventory that return CookingRecipe
Modifier and Type
Method
Description
`@NotNull CookingRecipe`
CookingRecipe.`setInput(@NotNull Material input)`
Sets the input of this cooking recipe.